﻿@import "Constants.css";

.cont-body {
    grid-area: body;
    padding: var(--xs-margin) var(--lg-margin) var(--sm-margin);
    background: var(--white);
    border-radius: var(--border-radius);
    margin-bottom: var(--xs-margin);
    display: flex;
    flex-direction: column;
}

footer {
    position: relative;
    grid-area: footer;
    margin-bottom: var(--md-margin);

    .contribution-summary {
        padding: var(--xs-margin) var(--lg-margin);
        position: relative;
        background-color: var(--white);
        border-radius: var(--border-radius);
        z-index: 2;
        display: flex;
        justify-content: space-between;
        align-items: center;


        &.expanded {
            padding: var(--md-margin) var(--lg-margin) var(--xs-margin);
            position: absolute;
            bottom: 0;
            left: 0;
            right: 0;
            flex-direction: column;
            box-shadow: 0 8px 56px 4px rgba(46, 58, 89, 0.1);

            > :nth-child(1) {
                margin-bottom: var(--sm-margin);
            }

            .summary-row {
                display: flex;
                justify-content: space-between;
                align-items: center;
                width: 100%;
                margin-bottom: var(--xs-margin);

                span {
                    width: 100%;

                    &.text-right {
                        text-align: end;
                    }

                    &.summary-header {
                        font-size: var(--rem12px);
                        line-height: calc(var(--rem12px) + var(--rem4px));
                    }

                    &.highlight {
                        color: var(--darkblue);
                        font-family: Poppins, sans-serif;
                        font-weight: 600;
                    }
                }
            }

            &.border-above-buttons {
                > :nth-last-child(3) {
                    border-bottom: 1px solid #CCCCCC;
                    padding-bottom: 1rem;
                    margin: 0;
                }
            }
        }
    }

    .summary-btn {
        height: 20px;
        width: 40px;
        left: 50%;
        top: -20px;
        position: absolute;
        z-index: 2;
        cursor: pointer;
        display: flex;
        justify-content: center;
        align-items: center;

        svg {
            position: absolute;
        }

        i {
            position: absolute;
        }

        &.expanded {
            top: 0px;
        }
    }
}


.cont-grid {
    border: none;
    flex-grow: 1;
    height: 50px;
    overflow-y: scroll;

    .grid-row {
        display: flex;
        flex-direction: row;
        align-items: center;
        border-top: solid 1px #CCCCCC;
        padding-top: var(--xs-margin);
        padding-bottom: var(--xs-margin);

        .member-details {
            flex-basis: 15%;
            display: flex;
            flex-direction: column;

            .member-name {
                color: var(--darkblue);
                font-family: Poppins, sans-serif;
                font-size: var(--rem14px);
                font-weight: 600;
                letter-spacing: 0;
                line-height: calc(var(--rem14px) + var(--rem6px));
                margin-bottom: var(--xxs-margin);
            }
        }

        .member-dob {
            flex-basis: 10%;
            display: flex;
        }

        .detail-menu {
            flex-basis: 3%;
            min-width: 30px;
            display: flex;
            justify-content: center;

            button {
                background-color: transparent;
                border: none;
                outline: 0;
                display: flex;
                align-items: center;
                justify-content: center;
                cursor: pointer;
            }
        }

        .contribution-container {
            flex-basis: 72%;
            display: flex;
            flex-direction: column;

            .cont-detail {
                display: flex;
                align-items: center;
                margin-top: 5px;
                margin-bottom: 5px;

                &.multi-rate {
                    align-items: center;
                }

                .fund-code {
                    min-width: 65px;

                    h4 {
                        margin-bottom: 0;
                    }
                }

                .five-weeks {
                    min-width: 163px;
                }

                .four-weeks {
                    min-width: 142px;
                }

                .cont-weeks {
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    justify-content: left;
                    flex-basis: 15%;

                    .cont-check-weeks {
                        min-width: 45px;

                        a {
                            padding-bottom: 0;

                            &:hover {
                                border-bottom: 2px solid var(--orange);
                            }
                        }
                    }
                }

                .cont-manual {
                    color: var(--darkblue);
                    flex-basis: 41%;
                    display: flex;
                    flex-direction: column;
                    padding-left: 0.5rem;
                }

                .cont-pro-rata {
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    justify-content: space-between;

                    input {
                        width: 60px;
                        margin: 0;
                    }
                }

                .cont-multirate {
                    flex-basis: 15%;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    min-width: 93px;

                    input {
                        min-height: 17px;
                        min-width: 30px;
                        margin: 0;
                    }
                }

                .cont-rate-select {
                    flex-basis: 41%;
                    display: flex;
                    flex-direction: column;
                    padding-left: 0.5rem;
                    padding-right: 0.5rem;

                    .row {
                        display: flex;
                        font-size: var(--rem12px);
                    }

                    label {
                        padding-right: 0.5rem;
                        font-weight: 500;
                    }

                    select {
                        height: 25px;
                        color: var(--darkblue);
                        font-family: Inter;
                        line-height: calc(var(--rem12px) + var(--rem6px));
                        background-color: transparent;
                        border: none;
                        border-bottom: 1px solid var(--darkblue);
                        border-radius: 0px;
                    }
                }

                .status-container {
                    flex-basis: 17%;
                    display: flex;
                    justify-content: center;

                    .detail-status {
                        height: 24px;
                        width: 96px;
                        border-radius: 6px;
                        display: flex;
                        align-items: center;

                        &.new {
                            background-color: var(--darkblue);
                        }

                        &.terminated {
                            background-color: var(--errorred);
                        }

                        &.unterminated {
                            background-color: var(--orange);
                        }

                        &.unchanged {
                            background-color: var(--deepgray);
                        }

                        &.norate {
                            background-color: #F68B33;
                        }

                        &.updated {
                            background-color: var(--tealgreen);
                        }

                        span {
                            color: var(--white);
                            font-family: Poppins, sans-serif;
                            font-size: var(--rem12px);
                            font-weight: 600;
                            letter-spacing: 0;
                            line-height: calc(var(--rem12px) + var(--rem6px));
                            width: 100%;
                            text-align: center;
                        }
                    }
                }

                .detail-total {
                    flex-basis: 12%;
                    display: flex;

                    span {
                        color: var(--tealgreen);
                        font-family: Poppins, sans-serif;
                        font-size: var(--rem14px);
                        font-weight: 600;
                        letter-spacing: 0;
                        line-height: calc(var(--rem14px) + var(--rem6px));
                        width: 100%;
                        text-align: end
                    }
                }
            }
        }
    }
}

.grid-header {
    display: flex;
    margin-top: 6px;
    margin-bottom: 12px;

    .grid-header-start {
        display: flex;
        flex-basis: 25%;
        flex-wrap: wrap;
        align-items: center;

        .show-add-member {
            margin-right: var(--xs-margin);

            a {
                display: flex;
                align-items: center;
                padding-bottom: 0;

                &:hover {
                    border-bottom: 2px solid var(--orange);
                }
            }
        }

        .auto-check {
            font-family: Inter;
            font-weight: 300;
            margin: 0;
            display: flex;
            align-items: center;
            margin-right: -25px;

            .ernie-toggle {
                margin-right: 0.5rem;
            }
        }
    }

    .grid-header-end {
        flex-basis: 75%;
        display: flex;
        justify-content: space-between;

        .check-all-container {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            margin-left: 53px;

            a {
                padding-left: var(--xs-margin);
                padding-right: var(--xs-margin);

                &:hover {
                    border-bottom: 2px solid var(--orange);
                }
            }

            .check-week {
                color: var(--darkblue);
                cursor: pointer;
                font-weight: 600;
                text-align: center;
                flex-grow: 1;

                &:hover {
                    border-bottom: 2px solid var(--darkblue);
                }
            }
        }

        .total {
            display: flex;
            flex-basis: 18%;
            align-items: center;
            font-size: var(--rem12px);
            font-weight: 600;
            color: var(--darkblue);
            margin-right: 36px;

            > * {
                margin-left: var(--sm-margin);
                margin-bottom: 0;
                display: flex;

                svg {
                    margin-right: 4px;
                }
            }
        }
    }
}

.ernie-toggle {
    &.k-switch-on {

        span {
            &.k-switch-container {
                background-color: transparent;
            }
        }

        .k-switch-handle {
            background-color: #5899A8;
            left: calc(100% - 12px);
        }
    }

    .k-switch-handle {
        width: 12px;
        height: 12px;
        border: #5899A8;
        border-width: 1px;
        border-style: solid;
    }

    span {
        &.k-switch-container {
            width: 36px;
            height: 18px;
            padding: 1px 4px;
        }
    }

    .k-switch-container {
        box-shadow: inset 0 0 0 1px var(--darkblue);
    }

    .k-switch:hover {
        .k-switch-container {
            box-shadow: inset 0 0 0 1px var(--darkblue);
        }
    }

    .k-switch:focus {
        .k-switch-container {
            box-shadow: inset 0 0 0 1px var(--darkblue);
        }
    }
}

@media (max-width: 1367px) {
    /*var(--tablet-width)) {*/
    footer {
        margin-bottom: var(--sm-margin);
    }
}
